net.i2p.i2ptunnel.udp

## Class I2PSource

- java.lang.Object
- - net.i2p.i2ptunnel.udp.I2PSource

All Implemented Interfaces:
  Runnable, Source

    public class I2PSource
    extends Object
    implements Source, Runnable

Author:
  welterde

### Nested Class Summary

Nested Classes
`protected class` `I2PSource.Listener`

### Field Summary

Fields
`protected BlockingQueue<Integer>` `queue`
`protected boolean` `raw`
`protected I2PSession` `sess`
`protected Sink` `sink`
`protected Thread` `thread`
`protected boolean` `verify`

### Constructor Summary

Constructors
Constructor and Description
`I2PSource(I2PSession sess)`
`I2PSource(I2PSession sess, boolean verify)`
`I2PSource(I2PSession sess, boolean verify, boolean raw)`

### Method Summary

Methods
`void` `run()`
`void` `setSink(Sink sink)`
`void` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sess

    protected I2PSession sess

#### queue

    protected BlockingQueue<Integer> queue

#### sink

    protected Sink sink

#### thread

    protected Thread thread

#### verify

    protected boolean verify

#### raw

    protected boolean raw

### Constructor Detail

#### I2PSource

    public I2PSource(I2PSession sess)

#### I2PSource

    public I2PSource(I2PSession sess,
             boolean verify)

#### I2PSource

    public I2PSource(I2PSession sess,
             boolean verify,
             boolean raw)

### Method Detail

#### setSink

    public void setSink(Sink sink)

Specified by:
  `setSink` in interface `Source`

#### start

    public void start()

Specified by:
  `start` in interface `Source`

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`